%define version 2.2.10
%define release %mkrel 2
%define title GNUbiff

Summary:	Mail notification program
Name:		gnubiff
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://gnubiff.sf.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://prdownloads.sourceforge.net/gnubiff/%{name}-%{version}.tar.bz2

BuildRequires:	gnome-panel-devel
BuildRequires:	gtk2-devel >= 2.4.0
BuildRequires:	libglade2.0-devel >= 2.3.0
BuildRequires:	openssl-devel
BuildRequires:	ImageMagick
BuildRequires:	perl-XML-Parser
BuildRequires:  gamin-devel
BuildRequires: desktop-file-utils
Requires(post):	info-install
Requires(preun): info-install

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
%{name} is a mail notification program that periodically checks for mail
and displays headers and/or content when new mail has arrived. It relies
on the GNOME and GTK libraries but can be compiled and used with or
without GNOME support. Supported protocols are pop3, apop, imap4, mh,
qmail, mailfile and SSL. Furthermore, gnubiff is fully configurable with
a lot of options like polltime, poptime, sounds, mail reader, mailbox
title, etc.

%package	applet
Summary:	GNOME applet of gnubiff, a mail notification program
Group:		Networking/Mail
Requires:	%{name} = %{version}

%description	applet
%{name} is a mail notification program that periodically checks for mail
and displays headers and/or content when new mail has arrived. It relies
on the GNOME and GTK libraries but can be compiled and used with or
without GNOME support. Supported protocols are pop3, apop, imap4, mh,
qmail, mailfile and SSL. Furthermore, gnubiff is fully configurable with
a lot of options like polltime, poptime, sounds, mail reader, mailbox
title, etc.

This package contains the GNOME applet of %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{title}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Network;Email;X-MandrivaLinux-Internet-Mail;
EOF

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D       art/gnubiff.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 art/gnubiff.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 art/gnubiff.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%post
%{update_desktop_database}
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%postun
%{clean_desktop_database}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README THANKS
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_infodir}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%files applet
%defattr(-, root, root)
%doc COPYING
%{_datadir}/gnome-2.0/ui/*.xml
%{_libdir}/bonobo/servers/*.server




%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.10-2mdv2009.0
+ Revision: 266941
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 2.2.10-1mdv2009.0
+ Revision: 213880
- update to new version 2.2.10

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 2.2.9-1mdv2008.1
+ Revision: 161819
- update to new version 2.2.9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 09 2007 Jérôme Soyer <saispo@mandriva.org> 2.2.8-1mdv2008.1
+ Revision: 96039
- New release 2.2.8

* Mon Aug 13 2007 Jérôme Soyer <saispo@mandriva.org> 2.2.7-1mdv2008.0
+ Revision: 62449
- New release 2.2.7

* Wed Apr 25 2007 Jérôme Soyer <saispo@mandriva.org> 2.2.6-1mdv2008.0
+ Revision: 18141
- New release 2.2.6


* Mon Jan 29 2007 Lenny Cartier <lenny@mandriva.com> 2.2.5-1mdv2007.0
+ Revision: 114836
- Update to 2.2.5

* Mon Dec 11 2006 Jérôme Soyer <saispo@mandriva.org> 2.2.4-2mdv2007.1
+ Revision: 94690
- Fix BuildRequires for x86_64
- New version 2.2.4
- Import gnubiff

* Wed Aug 09 2006 Jerome Soyer <saispo@mandriva.org> 2.2.2-1mdv2007.0
- 2.2.2
- XDG Menu

* Wed May 24 2006 Lenny Cartier <lenny@mandriva.com> 2.2.1-1mdk
- 2.2.1

* Fri Apr 14 2006 Jerome Soyer <saispo@mandriva.org> 2.2.0-1mdk
- New release 2.2.0

* Tue Jan 31 2006 Jerome Soyer <saispo@mandriva.org> 2.1.9-1mdk
- New release 2.1.9

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.8-2mdk
- Fix PreReq
- Add BuildRequires ( gmain-devel )

* Tue Dec 20 2005 Lenny Cartier <lenny@mandriva.com> 2.1.8-1mdk
- 2.1.8

* Thu Jun 30 2005 Lenny Cartier <lenny@mandriva.com> 2.1.4-1mdk
- 2.1.4

* Tue Apr 05 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.1.3-1mdk
- 2.1.3

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 2.1.0-1mdk
- 2.1.0, work done by Marc Koschewski <marc@osknowledge.org>

* Thu Dec 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-1mdk
- 2.0.3

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 2.0.2-2mdk
- Fix BuildRequires (thx Stefan's bot)

* Thu Oct 21 2004 Götz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- update file list
- rediff the patch
- new source URL
- New release 2.0.2

* Tue Jun 29 2004 Abel Cheung <deaddog@deaddog.org> 1.4.0-1mdk
- New version

* Sun Jun 20 2004 Abel Cheung <deaddog@deaddog.org> 1.2.0-2mdk
- Rebuild with new gcc

* Wed May 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 1.0.9-1mdk
- First Mandrake package
- Patch0: Add missing info entry for info file

